## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class CharacterType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.CharacterType

All Implemented Interfaces:
  IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

    public class CharacterType

extends AbstractRootTypeDescriptor
implements IMetaDataEnabledFeature, IValidValues

Represents a single unicode character

Field Summary

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`CharacterType()` Constructor

Method Summary
`java.util.List<IValidationMessage>` `getValidationMessages()`
`boolean` `isValidValue(java.lang.String value)`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### CharacterType

    public CharacterType()

  Constructor

Method Detail

### getValidationMessages

    public java.util.List<IValidationMessage> getValidationMessages()

  Specified by:
    `getValidationMessages` in interface `IValidValues`
  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Specified by:
    `isValidValue` in interface `IValidValues`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid